Subject: Re: bug#48067: 28.0.50; Tramp error: cannot determine gio monitor

From: Michael Albinus <[email-masked]>
Date: Wed, 28 Apr 2021 20:56:27 +0200

Thierry Volpiatto <[email-masked]> writes:

> This happen on emacs-27:
>
> ;; file-notify-handle-event (file-notify (#<process gio<4>> (changes-done-hint) "/sudo:root@IPadS340:/home/thierry/tmp/test.txt" nil) file-notify-callback)
> ;; file-notify-handle-event (file-notify (#<process gio<4>> (attribute-changed) "/sudo:root@IPadS340:/home/thierry/tmp/test.txt" nil) file-notify-callback)
>
> On emacs-28 nothing happen when modifying externally same directory
> (tmp).

Strange. Have you tried "M-x tramp-cleanup-all-connections"? Prior to
connecting the remote machine.

Otherwise, I have no idea (it works for me as I have shown). Is there a
chance I could debug, connecting your remote machine?

Otherwise, I would need to write special instrumentations in
tramp-sh-gio-monitor-process-filter just for you.

Best regards, Michael.